import IElement from './IElement';
import INode from '../node/INode';
import IDocument from '../document/IDocument';
import IDocumentFragment from '../document-fragment/IDocumentFragment';
/**
 * Element utility.
 */
export default class ElementUtility {
    /**
     * Handles appending a child element to the "children" property.
     *
     * @param parentElement Parent element.
     * @param node Node.
     */
    static appendChild(parentElement: IElement | IDocument | IDocumentFragment, node: INode): void;
    /**
     * Handles removing a child element from the "children" property.
     *
     * @param parentElement Parent element.
     * @param node Node.
     */
    static removeChild(parentElement: IElement | IDocument | IDocumentFragment, node: INode): void;
    /**
     *
     * Handles inserting a child element to the "children" property.
     *
     * @param parentElement Parent element.
     * @param newNode
     * @param referenceNode
     */
    static insertBefore(parentElement: IElement | IDocument | IDocumentFragment, newNode: INode, referenceNode: INode | null): void;
}
