import IHTMLCollection from './IHTMLCollection';
/**
 * Class list.
 */
export default class HTMLCollection<T, NamedItem> extends Array implements IHTMLCollection<T, NamedItem> {
    protected _namedItems: {
        [k: string]: T[];
    };
    /**
     * Returns item by index.
     *
     * @param index Index.
     */
    item(index: number): T | null;
    /**
     * Returns named item.
     *
     * @param name Name.
     * @returns Node.
     */
    namedItem(name: string): NamedItem | null;
    /**
     * Appends named item.
     *
     * @param node Node.
     * @param name Name.
     */
    _appendNamedItem(node: T, name: string): void;
    /**
     * Appends named item.
     *
     * @param node Node.
     * @param name Name.
     */
    _removeNamedItem(node: T, name: string): void;
}
